directories:
  output: ./dist-electron
  buildResources: assets
files:
  - filter:
      - build/**/*
      - build/**/*
      - node_modules/**/*
      - main.js
      - package.json
      - src/electron/**/*
      - biometric-service.js
      - preload.js
      - requirements-checker.js
      - verificar-requisitos.ps1
      - DIAGNOSTICO_ERROR_411.md
      - LEEME.txt
      - '!installer.nsh'
extraMetadata:
  main: main.js
appId: com.prestov2.app
productName: PrestoV2
asar: false
asarUnpack:
  - src/electron/**/*.exe
  - src/electron/**/*.dll
buildDependenciesFromSource: false
nodeGypRebuild: false
npmRebuild: false
win:
  target:
    - target: nsis
      arch:
        - x64
  icon: build/logo512.png
  requestedExecutionLevel: asInvoker
nsis:
  oneClick: false
  allowToChangeInstallationDirectory: true
  createDesktopShortcut: true
  createStartMenuShortcut: true
  shortcutName: PrestoV2
  menuCategory: PrestoV2
  perMachine: true
  allowElevation: true
  include: installer.nsh
extraResources:
  - from: api_url.txt
    to: ../api_url.txt
  - from: config_replicacion.txt
    to: ../config_replicacion.txt
publish:
  - provider: generic
    url: http://192.168.1.83/api_prestov2/update
extends: react-cra
electronVersion: 35.7.5
